<div class="container">
  <h1>Agenda</h1>

  <ng-fullcalendar #fullcalendar [options]="calendarOptions" [eventsModel]="calendarEvents"></ng-fullcalendar>

  <p-overlayPanel #sessionPanel>
    <ul *ngIf="selectedSession" style="list-style-type: none; padding-left: 0;">
      <li><span translate>Date</span>: {{selectedSession.date|date}}</li>
      <li><span translate>Duration</span>: {{selectedSession.duration}} h</li>
      <li><span translate>Price</span>:
        {{(selectedSession.tutoredClass.price * selectedSession.duration)|currency:'CHF '}}</li>
      <li><span translate>Learner</span>: {{selectedSession.learner.firstName}} {{selectedSession.learner.lastName}}
      </li>
      <li><span translate>Tutor</span>: {{selectedSession.tutor.firstName}} {{selectedSession.tutor.lastName}}</li>
    </ul>
  </p-overlayPanel>
</div>
